﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MIT.master" %>

<%@ Register assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" namespace="System.Web.UI.DataVisualization.Charting" tagprefix="asp" %>

<script runat="server">
    void bt1_ButtonClicked(Object sender, EventArgs e)
    {
        FormView1.DataBind();
        GridView1.DataBind();
        GridView2.DataBind();
    }

    
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form id="form1" runat="server">
        <br />
        <h3>My Profile</h3>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:AircraftPartsConnectionString %>" 
            SelectCommand="SELECT * FROM [Customer] WHERE ([CustomerID] = @CustomerID)" 
            UpdateCommand="UPDATE [Customer] SET [CustName] = @CustName, [CustAddr] = @CustAddr, [CustCity] = @CustCity, [CustState] = @CustState, [CustCountry] = @CustCountry, [CustPostalCode] = @CustPostalCode WHERE [CustomerID] = @CustomerID" >
            <SelectParameters>
                <asp:QueryStringParameter Name="CustomerID" QueryStringField="CustomerID" Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="CustName" Type="String" />
                <asp:Parameter Name="CustAddr" Type="String" />
                <asp:Parameter Name="CustCity" Type="String" />
                <asp:Parameter Name="CustState" Type="String" />
                <asp:Parameter Name="CustCountry" Type="String" />
                <asp:Parameter Name="CustPostalCode" Type="String" />
                <asp:Parameter Name="CustomerID" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>
        <asp:FormView ID="FormView1" runat="server" DataKeyNames="CustomerID" DataSourceID="SqlDataSource1">
            <EditItemTemplate>
                CustomerID:
                <asp:Label ID="CustomerIDLabel1" runat="server" Text='<%# Eval("CustomerID") %>' />
                <br />
                CustName:
                <asp:TextBox ID="CustNameTextBox" runat="server" Text='<%# Bind("CustName") %>' />
                <br />
                CustAddr:
                <asp:TextBox ID="CustAddrTextBox" runat="server" Text='<%# Bind("CustAddr") %>' />
                <br />
                CustCity:
                <asp:TextBox ID="CustCityTextBox" runat="server" Text='<%# Bind("CustCity") %>' />
                <br />
                CustState:
                <asp:TextBox ID="CustStateTextBox" runat="server" Text='<%# Bind("CustState") %>' />
                <br />
                CustCountry:
                <asp:TextBox ID="CustCountryTextBox" runat="server" Text='<%# Bind("CustCountry") %>' />
                <br />
                CustPostalCode:
                <asp:TextBox ID="CustPostalCodeTextBox" runat="server" Text='<%# Bind("CustPostalCode") %>' />
                <br />
                <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="Update" />
                &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
            </EditItemTemplate>
            <ItemTemplate>
                CustomerID:
                <asp:Label ID="CustomerIDLabel" runat="server" Text='<%# Eval("CustomerID") %>' />
                <br />
                CustName:
                <asp:Label ID="CustNameLabel" runat="server" Text='<%# Bind("CustName") %>' />
                <br />
                CustAddr:
                <asp:Label ID="CustAddrLabel" runat="server" Text='<%# Bind("CustAddr") %>' />
                <br />
                CustCity:
                <asp:Label ID="CustCityLabel" runat="server" Text='<%# Bind("CustCity") %>' />
                <br />
                CustState:
                <asp:Label ID="CustStateLabel" runat="server" Text='<%# Bind("CustState") %>' />
                <br />
                CustCountry:
                <asp:Label ID="CustCountryLabel" runat="server" Text='<%# Bind("CustCountry") %>' />
                <br />
                CustPostalCode:
                <asp:Label ID="CustPostalCodeLabel" runat="server" Text='<%# Bind("CustPostalCode") %>' />
                <br />
                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Edit" />
            </ItemTemplate>
        </asp:FormView>
        <br /><br />

        <h3>Order History</h3>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:AircraftPartsConnectionString %>" SelectCommand="SELECT * FROM [OrderHeader] WHERE ([CustomerID] = @CustomerID) ORDER BY [DatePlaced] DESC">
            <SelectParameters>
                <asp:QueryStringParameter Name="CustomerID" QueryStringField="CustomerID" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="OrderID" DataSourceID="SqlDataSource2">
            <Columns>
                <asp:CommandField ShowSelectButton="True" />
                <asp:BoundField DataField="OrderID" HeaderText="OrderID" InsertVisible="False" ReadOnly="True" SortExpression="OrderID" />
                <asp:BoundField DataField="OrderStatus" HeaderText="OrderStatus" SortExpression="OrderStatus" />
                <asp:BoundField DataField="DatePlaced" HeaderText="DatePlaced" SortExpression="DatePlaced" />
                <asp:BoundField DataField="TotalCost" HeaderText="TotalCost" SortExpression="TotalCost" />
                <asp:BoundField DataField="CreditCardOrPO" HeaderText="CreditCardOrPO" SortExpression="CreditCardOrPO" />
                <asp:BoundField DataField="CertNo" HeaderText="CertNo" SortExpression="CertNo" />
                <asp:BoundField DataField="Mode" HeaderText="Mode" SortExpression="Mode" />
                <asp:BoundField DataField="CustomerID" HeaderText="CustomerID" SortExpression="CustomerID" />
                <asp:BoundField DataField="Comments" HeaderText="Comments" SortExpression="Comments" />
            </Columns>
        </asp:GridView>
        <br /><br />

        <h3>Order Detail</h3>
        <asp:SqlDataSource ID="SqlDataSource3" runat="server" ConnectionString="<%$ ConnectionStrings:AircraftPartsConnectionString %>" SelectCommand="SELECT * FROM [OrderDetail] WHERE ([OrderID] = @OrderID)">
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="OrderID" PropertyName="SelectedValue" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
        <asp:GridView ID="GridView2" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="OrderID,PMAHolder,PartNbr" DataSourceID="SqlDataSource3">
            <Columns>
                <asp:BoundField DataField="OrderID" HeaderText="OrderID" ReadOnly="True" SortExpression="OrderID" />
                <asp:BoundField DataField="PMAHolder" HeaderText="PMAHolder" ReadOnly="True" SortExpression="PMAHolder" />
                <asp:BoundField DataField="PartNbr" HeaderText="PartNbr" ReadOnly="True" SortExpression="PartNbr" />
                <asp:BoundField DataField="QuantityOrdered" HeaderText="QuantityOrdered" SortExpression="QuantityOrdered" />
                <asp:BoundField DataField="CurrentPrice" HeaderText="CurrentPrice" SortExpression="CurrentPrice" />
                <asp:BoundField DataField="QuantityShipped" HeaderText="QuantityShipped" SortExpression="QuantityShipped" />
            </Columns>
        </asp:GridView>
        <br /><br />

    </form>
</asp:Content>

